---@meta

---@class URadial_Wheel_Item_WB_C : UUserWidget
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Radial_Wheel_Item_Image UImage
---@field Main_SB USizeBox
---@field Item_Info_Text UTextBlock
---@field Item_Icon_Image UImage
---@field Item_Content_OV UOverlay
---@field Selected UWidgetAnimation
---@field ['Current Slot Style'] URadial_Wheel_Slot_Style_DA_C
---@field Scale double
---@field Angle double
---@field ['Is Selected?'] boolean
---@field ['Is Active?'] boolean
---@field ['Slot Data'] FRadial_Wheel_Slot_Struct
---@field ['Item Data'] FRadial_Wheel_Item_Struct
---@field ['Radial Wheel Material Instance'] UMaterialInstanceDynamic
local URadial_Wheel_Item_WB_C = {}

function URadial_Wheel_Item_WB_C:SequenceEvent__ENTRYPOINTRadial_Wheel_Item_WB() end
---@return boolean
URadial_Wheel_Item_WB_C['Can Be Selected?'] = function(self, ) end
---@param Style URadial_Wheel_Slot_Style_DA_C
---@return UMaterialInstanceDynamic
URadial_Wheel_Item_WB_C['Create Material Instance From Slot Style'] = function(self, Style) end
---@param Slot_Style URadial_Wheel_Slot_Style_DA_C
URadial_Wheel_Item_WB_C['Update Slot Style'] = function(self, Slot_Style) end
---@param Slot FRadial_Wheel_Slot_Struct
URadial_Wheel_Item_WB_C['Update Slot'] = function(self, Slot) end
URadial_Wheel_Item_WB_C['On Unselected'] = function(self, ) end
URadial_Wheel_Item_WB_C['Selected Animation Repeater'] = function(self, ) end
URadial_Wheel_Item_WB_C['On Selected'] = function(self, ) end
---@param IsDesignTime boolean
function URadial_Wheel_Item_WB_C:PreConstruct(IsDesignTime) end
---@param EntryPoint int32
function URadial_Wheel_Item_WB_C:ExecuteUbergraph_Radial_Wheel_Item_WB(EntryPoint) end


